from typing import Union

from singer_sdk import typing as th

trending_players = th.PropertiesList(
    th.Property("player_id", th.StringType, description="The player's unique id"),
    th.Property(
        "count",
        th.IntegerType,
        description="The total add/drop events for a player within lookback period",
    ),
).to_dict()


players = th.PropertiesList(
    th.Property("player_id", th.StringType, description="The player's unique id"),
    th.Property("espn_id", th.IntegerType),
    th.Property("yahoo_id", th.IntegerType),
    th.Property("stats_id", th.IntegerType),
    th.Property("fantasy_data_id", th.IntegerType),
    th.Property("rotowire_id", th.IntegerType),
    th.Property("rotoworld_id", th.IntegerType),
    th.Property("sportradar_id", th.StringType),
    th.Property("swish_id", th.IntegerType),
    th.Property("pandascore_id", th.StringType),
    th.Property("gsis_id", th.StringType),
    th.Property("first_name", th.StringType),
    th.Property("last_name", th.StringType),
    th.Property("full_name", th.StringType),
    th.Property("search_full_name", th.StringType),
    th.Property("search_first_name", th.StringType),
    th.Property("search_last_name", th.StringType),
    th.Property("search_rank", th.IntegerType),
    th.Property("high_school", th.StringType),
    th.Property("birth_city", th.StringType),
    th.Property("birth_state", th.StringType),
    th.Property("birth_country", th.StringType),
    th.Property("birth_date", th.StringType),
    th.Property("age", th.IntegerType),
    th.Property("college", th.StringType),
    th.Property("team", th.StringType),
    th.Property("active", th.BooleanType),
    th.Property("status", th.StringType),
    th.Property("injury_status", th.StringType),
    th.Property("position", th.StringType),
    th.Property("years_exp", th.IntegerType),
    th.Property("depth_chart_order", th.IntegerType),
    th.Property("depth_chart_position", th.StringType),
    th.Property("number", th.IntegerType, description="The player's jersey number"),
    th.Property("height", th.StringType),
    th.Property("weight", th.StringType),
    th.Property("fantasy_positions", th.ArrayType(th.StringType)),
    th.Property("injury_start_date", th.StringType),
    th.Property("injury_body_part", th.StringType),
    th.Property("injury_notes", th.StringType),
    th.Property("hashtag", th.StringType),
    th.Property("practice_participation", th.StringType),
    th.Property("news_updated", th.IntegerType),
    th.Property("practice_description", th.StringType),
    th.Property("sport", th.StringType),
    th.Property("metadata", th.ObjectType()),
).to_dict()
